package com.bonus.canteen.core.drp.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

public class DrpUnitEditDTO {
   @ApiModelProperty("计量单位id")
   private @NotNull(
   message = "计量单位id为空!"
) Long unitId;
   @ApiModelProperty("计量单位名称")
   private @NotNull(
   message = "单位名称不能为空!"
) String unitName;
   @ApiModelProperty("换算比率(换算成?g)")
   private BigDecimal rate;
   @ApiModelProperty("区域ID")
   private Long areaId;

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public BigDecimal getRate() {
      return this.rate;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setRate(final BigDecimal rate) {
      this.rate = rate;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }
}
